Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.NTTaggedData Class Reference

Class handling NT date time values. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.NTTaggedData:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.NTTaggedData:
[legend]

## Public Member Functions
void | SetData (byte[] data, int index, int count)
| Set the data from the raw values provided.
byte[] | GetData ()
| Get the binary data representing this instance.

## Static Public Member Functions
static bool | IsValidValue (DateTime value)
| Test a valuie to see if is valid and can be represented here.

## Properties
short | TagID`[get]`
| Get the ID for this tagged data value.
DateTime | LastModificationTime`[get, set]`
| Get/set the last modification time.
DateTime | CreateTime`[get, set]`
| Get /set the create time
DateTime | LastAccessTime`[get, set]`
| Get /set the last access time.

## Private Attributes
DateTime | _lastAccessTime = DateTime.FromFileTime(0)
DateTime | _lastModificationTime = DateTime.FromFileTime(0)
DateTime | _createTime = DateTime.FromFileTime(0)

## Detailed Description

Class handling NT date time values.

## Member Function Documentation

## ◆ GetData()

byte[] ICSharpCode.SharpZipLib.Zip.NTTaggedData.GetData | ( |  | ) |

Get the binary data representing this instance.

Returns
  The raw binary data representing this instance.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## ◆ IsValidValue()

bool ICSharpCode.SharpZipLib.Zip.NTTaggedData.IsValidValue | ( | DateTime | value | ) |
| static

Test a valuie to see if is valid and can be represented here.

Parameters

  value | The value to test.

Returns
  Returns true if the value is valid and can be represented; false if not.

NTFS filetimes are 64-bit unsigned integers, stored in Intel (least significant byte first) byte order. They determine the number of 1.0E-07 seconds (1/10th microseconds!) past WinNT "epoch", which is "01-Jan-1601 00:00:00 UTC". 28 May 60056 is the upper limit

## ◆ SetData()

void ICSharpCode.SharpZipLib.Zip.NTTaggedData.SetData | ( | byte[] | data,
|  | int | index,
|  | int | count )

Set the data from the raw values provided.

Parameters

  data | The raw data to extract values from.
  index | The index to start extracting values from.
  count | The number of bytes available.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## Member Data Documentation

## ◆ _createTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData._createTime = DateTime.FromFileTime(0)
| private

## ◆ _lastAccessTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData._lastAccessTime = DateTime.FromFileTime(0)
| private

## ◆ _lastModificationTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData._lastModificationTime = DateTime.FromFileTime(0)
| private

## Property Documentation

## ◆ CreateTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData.CreateTime
| get set

Get /set the create time

## ◆ LastAccessTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData.LastAccessTime
| get set

Get /set the last access time.

## ◆ LastModificationTime

DateTime ICSharpCode.SharpZipLib.Zip.NTTaggedData.LastModificationTime
| get set

Get/set the last modification time.

## ◆ TagID

short ICSharpCode.SharpZipLib.Zip.NTTaggedData.TagID
| get

Get the ID for this tagged data value.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipExtraData.cs